%define lib_major       4
%define lib_name        %mklibname xfcegui4_ %{lib_major}
%define version		4.4.0
%define rel		1
%define __libtoolize	/bin/true
%define __cputoolize	/bin/true


Summary: 	Various GTK+ widgets for Xfce
Name: 		libxfcegui4
Version: 	%{version}
Release: 	%mkrel 1
License:	LGPL
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Group: 		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires: 	gtk2-devel >= 2.0.6
BuildRequires:	libxfce4util-devel >= %{version}
BuildRequires:	dbh-devel
BuildRequires:	startup-notification-devel
BuildRequires:	libxml2-devel

%description
Various GTK+ widgets for Xfce.

%package -n %{lib_name}
Summary:	Gui libraries for Xfce
Group:		Graphical desktop/Xfce
Obsoletes:	libxfcegui4-plugins
Provides:	libxfcegui4-plugins

%description -n %{lib_name}
Gui libraries for Xfce.

%package -n %{lib_name}-devel
Summary:	Libraries and header files for the %{name} library
Group:		Development/Other
Requires:	%{lib_name} = %{version}
Provides:	libxfcegui4-devel

%description -n %{lib_name}-devel
Libraries and header files for the %{name} library.

%prep
%setup -q -n %{name}-%{version}

%build
# xinerama needs testing, see README
%configure2_5x --enable-xinerama --sysconfdir=%_sysconfdir/X11
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}/%{_libdir}/xfce4/modules/*.a
rm -f %{buildroot}/%{_datadir}/xfce4/xfce-svg-test.svg
rm -rf %{buildroot}/%{_datadir}/locale
#%%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig


%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/lib*.so.*
%{_datadir}/gtk-doc/html/libxfcegui4/*
%{_iconsdir}/*/*
%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/*


%changelog
* Tue Jan 23 2007 plouf <plouf> 4.4.0-1mdv2007.1
+ Revision: 112307
- New release 4.4.0

* Wed Dec 06 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-1mdv2007.1
+ Revision: 91726
- New release 4.3.99.2
- Import libxfcegui4




* Mon Jul 10 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2007.0
- 4.3.90.2 (Xfce-4.4 beta2)

* Tue Apr 25 2006 Jerome Soyer <saispo@mandriva.org> 4.3.90.1-1mdk
- Tue Apr 18 2006 trem <trem@mandriva.org> 4.3.90.1-1mdk
- 4.3.90.1

* Tue Mar 07 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r20246.1mdk
- svn release r20246
- drop plugin package

* Sat Feb 04 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.1mdk 
- 4.3.0 svn r19739
- new major
- don't run libtoolize
- update filelist
- ignore 4.3.7 version

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3-1mdk
- 4.2.3
- drop P0, merged upstream

* Mon Oct 10 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-2mdk
- From Cris Boylan <cris@mandriva.org>
  - Patch for gtk2.8 (fixes taskbar titles overflow, bug #18594)

* Tue May 24 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%mkrel

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)
- remove unneeded devel files

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)

* Thu Nov 18 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-2mdk
- buildrequires libxml2-devel

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- add buildrequires dbh-devel startup-notification-devel
- adjust soname major
- add plugins package for Xfce-utils and Xffm
- add locale files

* Mon Jul 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sat Apr 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Fri Apr 09 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

* Thu Jan 08 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3

* Mon Dec 22 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.2-1mdk
- 4.0.2
- use configure2_5 and makeinstall_std

* Fri Nov 14 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- 4.0.1

* Mon Nov 10 2003 Marcel Pol <mpol@gmx.net> 4.0.0-1mdk
- initial mandrake package
